# Generated by Django 4.1.7 on 2023-03-31 14:10

import django.core.validators
import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("demo_app", "0003_merge_20230329_0803"),
    ]

    operations = [
        migrations.AddField(
            model_name="order",
            name="products",
            field=models.ManyToManyField(
                related_name="orders",
                through="demo_app.OrderItem",
                to="demo_app.product",
            ),
        ),
        migrations.AddField(
            model_name="supplier",
            name="products",
            field=models.ManyToManyField(
                related_name="suppliers",
                through="demo_app.SupplierInventoryItem",
                to="demo_app.product",
            ),
        ),
        migrations.AddField(
            model_name="supplier",
            name="warehouse_addresses",
            field=models.ManyToManyField(
                related_name="supplier_warehouse_addresses", to="demo_app.address"
            ),
        ),
        migrations.AlterField(
            model_name="order",
            name="user",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="orders",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AlterField(
            model_name="supplier",
            name="email",
            field=models.CharField(
                blank=True,
                max_length=255,
                unique=True,
                validators=[
                    django.core.validators.EmailValidator(message="Invalid Email")
                ],
            ),
        ),
        migrations.AlterField(
            model_name="supplier",
            name="hq_address",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="supplier_hq_addresses",
                to="demo_app.address",
            ),
        ),
        migrations.DeleteModel(
            name="WarehouseAddress",
        ),
    ]
